# Disables bytecode interpreter.  Setting to 0 enables
# the bytecode interpreter
%define without_bytecode_interpreter    1

Name:           freetype1
Version:        1.4
Release:        0.5.pre%{?dist}
Summary:        Free TrueType font rendering engine, compatibility version
Group:          System Environment/Libraries
License:        FTL
URL:            http://www.freetype.org
# notice we don't use %{version} as this package is based on 1.3.1, which is
# then patched to a 1.4 pre release.
Source:         http://downloads.sourceforge.net/freetype/freetype-1.3.1.tar.gz
Patch0:         freetype-1.3.1-1.4pre.patch
Patch1:         freetype-1.4-disable-ft1-bci.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  zlib-devel libXt-devel gettext

%description
The FreeType engine is a free and portable TrueType font rendering engine,
developed to provide TrueType support for a variety of platforms and
environments. FreeType is a library which can open and manages font files as
well as efficiently load, hint and render individual glyphs. FreeType is not a
font server or a complete text-rendering library.
This package contains the obsolote version 1.x of FreeType for applications
which still need this old version. New applications should use the more
advanced FreeType 2.x library packaged as freetype.


%package utils
Summary:        A collection of FreeType 1.x utilities
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
# Upgrade path
Provides:       freetype-utils = 1:%{version}-%{release}
Obsoletes:      freetype-utils < 1:%{version}-%{release}

%description utils
Various utilities for the FreeType 1.x TrueType font rendering engine.


%package devel
Summary:        FreeType 1.x development libraries and header files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       zlib-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n freetype-1.3.1
%patch0 -p1

%if %{without_bytecode_interpreter}
%patch1 -p1 -b .disable-ft1-bci
%endif


%build
# Work around code generation problem with strict-aliasing
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=118021
#
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%configure --disable-debug --disable-static --enable-shared \
     --with-locale-dir=%{_datadir}/locale
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Don't use %%{?_smp_mflags} as that breaks the build
make


%install
rm -rf $RPM_BUILD_ROOT
# "make install DESTDIR=$RPM_BUILD_ROOT" doesn't work.
%makeinstall gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale
%find_lang freetype

mkdir -p $RPM_BUILD_ROOT/%{_includedir}/freetype1
mv $RPM_BUILD_ROOT/%{_includedir}/freetype $RPM_BUILD_ROOT/%{_includedir}/freetype1

# freetype-demos installs new versions of these
rm $RPM_BUILD_ROOT%{_bindir}/ftdump $RPM_BUILD_ROOT%{_bindir}/ftlint
rm $RPM_BUILD_ROOT%{_libdir}/libttf.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f freetype.lang
%defattr(-,root,root)
%{_libdir}/libttf.so.*
%doc README announce docs

%files utils
%defattr(-,root,root)
%{_bindir}/fterror
%{_bindir}/ftmetric
%{_bindir}/ftsbit
%{_bindir}/ftstrpnm

%files devel
%defattr(-,root,root)
%{_libdir}/libttf.so
%{_includedir}/freetype1


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-0.5.pre
- Autorebuild for GCC 4.3

* Wed Sep  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4-0.4.pre
- Update license tag

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4-0.3.pre
- Rebuild for buildId

* Thu Oct 19 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4-0.2.pre
- Base on freetype-1.3.1.tar.gz + a patch with the changes contained
  in the 1.4pre tarbal found in previous Fedora Core freetype releases
- Cleanup and FE-ize the spec file
- Don't reautoconf as that doesn't seem nescesarry
- Fix (remove) use of rpath
- Don't include static libs and .la files
- Give the freetype1-utils Obsoletes and Provides an Epoch instead of
  using a 2.x version.

* Thu Jul 13 2006 Behdad Esfahbod <besfahbo@redhat.com> 1.4-0.1.pre
- Created based on freetype-2.1.10-6 spec
